Ruby

Differences between revisions 36 and 37
Revision 36 as of 2006-01-31 21:28:57
Size: 1743
Editor: bur91-2-82-231-159-240
Comment:
Revision 37 as of 2006-02-08 07:46:21
Size: 2123
Editor: alabama
Comment:
Deletions are marked like this. Additions are marked like this.
Line 31: Line 31:
= TODO List =
 * FTBFS packages :
  * fix FTBFS as of 2006-01-21 :
   * quantlib-swig (DEPWAIT on libquantlib0-dev)
   * libapache2-mod-xmlrpc2 (FAILED)
   * libintl-gettext-ruby (FAILED) (was 0.11-5. fixed in 0.11-5.1 ?)
  * Re-run builds of everything later.
 * Run piuparts tests on all packages
 * Start working on AutomatedTesting for at least some ruby packages.

MOTURuby is the MOTU team which takes care of the Ruby-related packages.

See our [https://launchpad.net/people/moturuby Launchpad team page] to see the members and other info.

Use cases

Lucas wants to use software written in Ruby on his Ubuntu Breezy system. Too bad. Ruby has several important bugs on Breezy, because nobody cared about Ruby packages during the Breezy release process. For example : {{{require 'time' t = Time::parse('2005-08-30T22:50:00-05:00').to_s => "Thu Sep 01 05:50:00 CEST 2005"}}} (As you might know, there are 31 days in august, and this bug has been fixed in Debian for a long time)

So, one month after the Breezy release, Lucas has to start using Dapper packages to see some bugs fixed.

We don't want this to happen with Dapper !

Which packages qualify ?

All packages which depend on ruby, or more exactly libruby1.8, libruby1.6 and libruby1.9. One can easily use ["MultiDistroTools"] to get a list.

See the [http://tiber.tauware.de/~lucas/versions/ruby-packages.html Current status of those packages in Ubuntu Dapper].

Important packages

We should focus on important packages and their required libraries. Popularity contest could help here. Results from the top of my head, feel free to add/modify

  • RubyOnRails

  • Alexandria
  • Of course, the ruby interpreter and all tools needed to develop in Ruby (ruby, irb, rdoc, ri, rake, libraries ...)

TODO List

  • FTBFS packages :
    • fix FTBFS as of 2006-01-21 :
      • quantlib-swig (DEPWAIT on libquantlib0-dev)
      • libapache2-mod-xmlrpc2 (FAILED)
      • libintl-gettext-ruby (FAILED) (was 0.11-5. fixed in 0.11-5.1 ?)
    • Re-run builds of everything later.
  • Run piuparts tests on all packages
  • Start working on AutomatedTesting for at least some ruby packages.

Related team/work


CategoryUbuntuTeams ["CategoryMOTU"]

MOTU/Teams/Ruby (last edited 2008-08-06 17:00:36 by localhost)